def echoBuildInfo() {
	echo 'env.Build_ID: ' + env.BUILD_ID
	echo 'env.SHOULD_CREATE_TAG: ' + env.SHOULD_CREATE_TAG
}

def echoStartStage() {
	echo 'Starting stage ' + STAGE_NAME
}

def echoGitInfo() {
    echo "GIT_URL: " + GIT_URL
    echo "GIT_BRANCH: " + GIT_BRANCH
    echo "GIT_COMMIT: " + GIT_COMMIT
    nodes = nodesByLabel(label: 'master')
    echo "nodesByLabel: " + nodes
}

def testInputMessage() {
    input(
        message: 'Input test?'
    )
}

def testingGit() {
    env.PUSH_TO_BRANCH = "jenkins-branch-0"
    sh "git ls-remote"
    sh "git status"
    //echo credential.username
    //sh "git checkout -b ${env.PUSH_TO_BRANCH} ${env.GIT_COMMIT}"
    //sh "git push -u origin ${env.PUSH_TO_BRANCH}"
}

pipeline {
	agent any

	stages {
		stage('Parallel'){
			parallel{
				stage ('Initial D') {
					steps {
						echoStartStage()
						echoBuildInfo()
						echoGitInfo()
						testingGit()
					}
				}
				stage('Yama no Susume'){
					steps{
						echoStartStage()
					}
				}
				stage('Deploy'){
					steps{
						echoStartStage()			
					}
				}
			}
		}
	}
}